package HikSDK

import (
	"gitea.com/kunmeng/HikNetSDKPkg/Core"
	"testing"
)

func TestNewNvr(t *testing.T) {
	err := Core.Init()
	if err != nil {
		t.Error(err)
		return
	}
	nvr, err := NewNvr("192.168.211.124", 8000, "admin", "guanyaokeji8520")
	if err != nil {
		t.Error(err)
	}
	diff, err := nvr.getNvrUTCDiff()
	if err != nil {
		return
	}
	t.Log(diff)
	month, err := nvr.CheckTimeRegionWithMonth(2025, 3, 1)
	if err != nil {
		return
	}
	t.Log(month)
	timeList, err := nvr.CheckTimeRegionWithDay(2025, 3, 20, 1)
	if err != nil {
		return
	}
	t.Log(timeList)
}
